#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-DHTSZVrVMER2jFnRQ2z99X
key:                  taffybar-4.0.0-DHTSZVrVMER2jFnRQ2z99X
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  e79ddf7f63562de669b37092eaac3bc3
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-DHTSZVrVMER2jFnRQ2z99X
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/lzo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-7of48rK1XB4Ef8TpFryXl2
    HStringTemplate-0.8.8-93nQ1D7DMPDGgPu0rQa9w9
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.1.0-K9BW85jPsWRAK2RMwS3bY2
    ansi-terminal-0.11.4-4SgCWaXZr2qIqjtLzwrNoa base-4.15.1.0
    broadcast-chan-0.2.1.2-1M577pI5kvDIxNoVYTU4wK bytestring-0.10.12.1
    conduit-1.3.4.3-7850AKAUO1kCI5lKyzLnW1 containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-HG4EyroV7Wq4xINT3VxrRB
    dbus-hslogger-0.1.0.1-5w5N7mxIyvjEihguOARe8C directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-AooBeRBFQBp1JpeCnQKFIK
    enclosed-exceptions-1.0.3-CiGe5PpI5zzoZiwE52U0M filepath-1.4.2.1
    gi-cairo-1.0.27-JtQBvv0Su7OCZrbliwixgz
    gi-cairo-connector-0.1.1-1BGc1j8ScBeE4n6cHMxPFG
    gi-cairo-render-0.1.2-5IA9qBUNORM3QgHnQK97hg
    gi-gdk-3.0.25-BICbkS9LO0J6Gy1hR1S3Cn
    gi-gdkpixbuf-2.0.29-ASArc6xBUTK8zaIOw0PmcN
    gi-gdkx11-3.0.12-Giszt7t5AFI4Q0E3jbE18S
    gi-glib-2.0.27-ARHTmdJWwcX8BSUBbDhCpg
    gi-gtk-3.0.38-82t5zv8E3T7K6PtUIwRd5o
    gi-gtk-hs-0.3.13-2NvAHWcHY01BCJpEfWieu
    gi-pango-1.0.27-5UArCWxkQLnryvPyoCWpn
    gtk-sni-tray-0.1.8.1-6hk6KfaKhIB22L66Fte5QX
    gtk-strut-0.1.3.2-5tn4ASr6Ez82OBkZFQ0vRR
    haskell-gi-0.26.2-GIt18E8UqL076nlGasH26i
    haskell-gi-base-0.26.1-1Bs3Ozn0LFJ4QSFDMfoWIb
    hslogger-1.3.1.0-DwtePGCgtQBDcjLmgl19p1
    http-client-0.7.13.1-GWw2Pu5vHoXE1gncKUdINu
    http-client-tls-0.3.6.1-JFxQe0gvip7Kn0yTscPAJ
    http-conduit-2.3.8-Y0EJuyaMDn8WeQDc2uSub
    http-types-0.12.3-KPLjBYBG4Ui6L5702lyKk2
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.2-G0JBGFJfmHtLOCTMYA1m1B
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12.1-KR1nIONg2inHcsm8E9m9vk
    split-0.2.3.5-HZGxILpwAD24SCoFILFIhQ
    status-notifier-item-0.3.1.0-IuPlfAS7qDt7bCOPck4aUF stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-47QXFWU8OI3AOeTzeSnbjy
    tuple-0.3.0.2-2fM7OPt1PrNKxOmHm5WkI9 unix-2.7.2.2
    utf8-string-1.0.2-7vJf5AoNOLyFfjCFEBOlRd
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-7kmKhOpYBnt2xYXcvA4p0K
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-7jtksoDxqLHCRRPZumgWx5

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

